summaryrefslogtreecommitdiff
path: root/dev-python/libcloud/libcloud-3.3.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-23 00:37:17 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-01-23 00:37:17 +0000
commit96b034f33d877da62d7f5857820e530e6bbb15e5 (patch)
treef6ebd4b924d2ba60c867d4015082833d55c72f0b /dev-python/libcloud/libcloud-3.3.0.ebuild
parent305c1cad8e6e28632dc5e4faae91812bc2e19154 (diff)
downloadbaldeagleos-repo-96b034f33d877da62d7f5857820e530e6bbb15e5.tar.gz
baldeagleos-repo-96b034f33d877da62d7f5857820e530e6bbb15e5.tar.xz
baldeagleos-repo-96b034f33d877da62d7f5857820e530e6bbb15e5.zip
Updating liguros repo
Diffstat (limited to 'dev-python/libcloud/libcloud-3.3.0.ebuild')
-rw-r--r--dev-python/libcloud/libcloud-3.3.0.ebuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/libcloud/libcloud-3.3.0.ebuild b/dev-python/libcloud/libcloud-3.3.0.ebuild
new file mode 100644
index 000000000000..7b358fa86dfb
--- /dev/null
+++ b/dev-python/libcloud/libcloud-3.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Unified Interface to the Cloud - python support libs"
+HOMEPAGE="https://libcloud.apache.org/"
+SRC_URI="mirror://apache/${PN}/apache-${P}.tar.bz2"
+S="${WORKDIR}/apache-${P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND=">=dev-python/requests-2.5.0[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+BDEPEND+="
+ test? (
+ >=dev-python/cryptography-2.6.1[${PYTHON_USEDEP}]
+ dev-python/lockfile[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ if use examples; then
+ mkdir examples || die
+ mv example_*.py examples || die
+ fi
+
+ # needed for tests
+ cp libcloud/test/secrets.py-dist libcloud/test/secrets.py || die
+
+ # Needs network access
+ sed -i -e "s/test_list_nodes_invalid_region(self):/_&/" \
+ libcloud/test/compute/test_ovh.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}